Class | Spec::Runner::Options
In: | lib/spec/runner/options.rb
Parent: | Object

### Methods

add_example_group colour= custom_runner custom_runner? default_differ differ_class= examples_run? examples_should_be_run? examples_should_not_be_run files_to_load formatters heckle load_class load_formatters load_heckle_runner new number_of_examples parse_diff parse_example parse_format remove_example_group run_examples set_spec_from_line_number sorted_files sorter stderr? story_formatters

### Constants

FILE_SORTERS | = | { 'mtime' => lambda {|file_a, file_b| File.mtime(file_b) <=> File.mtime(file_a)}

EXAMPLE_FORMATTERS

=

{ # Load these lazily for better speed 'specdoc' => ['spec/runner/formatter/specdoc_formatter', 'Formatter::SpecdocFormatter'], 's' => ['spec/runner/formatter/specdoc_formatter', 'Formatter::SpecdocFormatter'], 'nested' => ['spec/runner/formatter/nested_text_formatter', 'Formatter::NestedTextFormatter'], 'n' => ['spec/runner/formatter/nested_text_formatter', 'Formatter::NestedTextFormatter'], 'html' => ['spec/runner/formatter/html_formatter', 'Formatter::HtmlFormatter'], 'h' => ['spec/runner/formatter/html_formatter', 'Formatter::HtmlFormatter'], 'progress' => ['spec/runner/formatter/progress_bar_formatter', 'Formatter::ProgressBarFormatter'], 'p' => ['spec/runner/formatter/progress_bar_formatter', 'Formatter::ProgressBarFormatter'], 'failing_examples' => ['spec/runner/formatter/failing_examples_formatter', 'Formatter::FailingExamplesFormatter'], 'e' => ['spec/runner/formatter/failing_examples_formatter', 'Formatter::FailingExamplesFormatter'], 'failing_example_groups' => ['spec/runner/formatter/failing_example_groups_formatter', 'Formatter::FailingExampleGroupsFormatter'], 'g' => ['spec/runner/formatter/failing_example_groups_formatter', 'Formatter::FailingExampleGroupsFormatter'], 'profile' => ['spec/runner/formatter/profile_formatter', 'Formatter::ProfileFormatter'], 'o' => ['spec/runner/formatter/profile_formatter', 'Formatter::ProfileFormatter'], 'textmate' => ['spec/runner/formatter/text_mate_formatter', 'Formatter::TextMateFormatter']

STORY_FORMATTERS

=

{ 'plain' => ['spec/runner/formatter/story/plain_text_formatter', 'Formatter::Story::PlainTextFormatter'], 'p' => ['spec/runner/formatter/story/plain_text_formatter', 'Formatter::Story::PlainTextFormatter'], 'html' => ['spec/runner/formatter/story/html_formatter', 'Formatter::Story::HtmlFormatter'], 'h' => ['spec/runner/formatter/story/html_formatter', 'Formatter::Story::HtmlFormatter'], 'progress' => ['spec/runner/formatter/story/progress_bar_formatter', 'Formatter::Story::ProgressBarFormatter'], 'r' => ['spec/runner/formatter/story/progress_bar_formatter', 'Formatter::Story::ProgressBarFormatter']

### Attributes

after_suite_parts | [RW] |
argv | [RW] |
backtrace_tweaker | [RW] |
before_suite_parts | [RW] |
colour | [R] |
context_lines | [RW] |
diff_format | [RW] |
differ_class | [R] |
dry_run | [RW] |
error_stream | [RW] |
example_groups | [R] |
examples | [RW] |
filename_pattern | [RW] |
files | [R] |
heckle_runner | [RW] |
line_number | [RW] |
loadby | [RW] |
output_stream | [RW] |
profile | [RW] |
reporter | [RW] |
reverse | [RW] |
timeout | [RW] |
user_input_for_runner | [RW] |
verbose | [RW] |

### Public Class methods

new(error_stream, output_stream)

### Public Instance methods

add_example_group(example_group)
colour=(colour)
examples_run?()
examples_should_not_be_run()
files_to_load()
formatters()
load_formatters(format_options, formatters)
load_heckle_runner(heckle)
number_of_examples()
parse_diff(format)
parse_example(example)
parse_format(format_arg)
remove_example_group(example_group)
run_examples()
story_formatters()

### Protected Instance methods

custom_runner()
custom_runner?()
default_differ()
differ_class=(klass)
examples_should_be_run?()
heckle()
load_class(name, kind, option)
set_spec_from_line_number()
sorted_files()
sorter()
stderr?()

[Validate]